import { MDCSelectAdapter } from '@material/select';
import { SelectBase } from '@material/mwc-select/mwc-select-base';
declare global {
    interface HTMLElementTagNameMap {
        'cv-select': CovalentSelect;
    }
}
export declare class CovalentSelect extends SelectBase {
    static styles: import("lit").CSSResult[];
    twoLine: boolean;
    text: boolean;
    updated(changedProperties: Map<string | number | symbol, unknown>): Promise<void>;
    layout(updateItems?: boolean): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
    protected renderSelectedText(): import("lit-html").TemplateResult<1>;
    protected createAdapter(): MDCSelectAdapter;
}
export default CovalentSelect;
